tbb::flow::interface8::receiver< T > Class Template Referenceabstract

Pure virtual template class that defines a receiver of messages of type T. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface8::receiver< T >:

## Public Types

typedef T | input_type
| The input type of this receiver.
typedef sender< T > | predecessor_type
| The predecessor type for this node.
typedef internal::edge_container < predecessor_type > | built_predecessors_type
typedef built_predecessors_type::edge_list_type | predecessor_list_type

## Public Member Functions

virtual | ~receiver ()
| Destructor.
bool | try_put (const T &t)
| Put an item to the receiver.
virtual bool | register_predecessor (predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (predecessor_type &)
| Remove a predecessor from the node.
virtual built_predecessors_type & | built_predecessors ()=0
virtual void | internal_add_built_predecessor (predecessor_type &)=0
virtual void | internal_delete_built_predecessor (predecessor_type &)=0
virtual void | copy_predecessors (predecessor_list_type &)=0
virtual size_t | predecessor_count ()=0

## Protected Member Functions

virtual task * | try_put_task (const T &t)=0
virtual void | reset_receiver (reset_flags f=rf_reset_protocol)=0
virtual bool | is_continue_receiver ()

## Friends

template<typename R , typename B >
class | run_and_put_task
| put item to successor; return task to run the successor if possible.
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache
template<typename U >
class | limiter_node
| put receiver back in initial state
template<typename TT , typename M >
class | internal::successor_cache
template<typename , typename >
class | proxy_dependency_receiver

## Detailed Description

### template<typename T>
class tbb::flow::interface8::receiver< T >

Pure virtual template class that defines a receiver of messages of type T.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.